#!/bin/bash
set -euo pipefail

# Pull the latest version of the image, in order to populate the build cache:
docker pull bfrbioinformatics/chewiesnake:databases || true

# Build the databases:
echo "Building bfrbioinformatics/chewiesnake:databases"
docker build --target databases \
       --cache-from=bfrbioinformatics/chewiesnake:databases \
       --build-arg BUILD_DATE=$(date +"%Y%m%d%H%M%S") \
       --tag bfrbioinformatics/chewiesnake:databases .

# Push the new versions:
echo "Pushing bfrbioinformatics/chewiesnake:databases"
docker push bfrbioinformatics/chewiesnake:databases

# sha256:ad3353ee003a9bc314cbff795b612e2842f14e79b81db1f1e7d52865b4c20e50
