#!/bin/bash
set -euo pipefail

# Pull the latest version of the image, in order to populate the build cache:
docker pull bfrbioinformatics/chewiesnake:databases || true
docker pull bfrbioinformatics/chewiesnake:conda     || true
docker pull bfrbioinformatics/chewiesnake:latest    || true

# Build the application stage, using cached databases & testdata stage:
echo "Building bfrbioinformatics/chewiesnake:latest"
docker build --target latest \
       --cache-from=bfrbioinformatics/chewiesnake:databases \
       --cache-from=bfrbioinformatics/chewiesnake:conda \
       --cache-from=bfrbioinformatics/chewiesnake:latest \
       --build-arg BUILD_DATE=$(date +"%Y%m%d%H%M%S") \
       --tag bfrbioinformatics/chewiesnake:latest .

# Push the new versions:
echo "Pushing bfrbioinformatics/chewiesnake:latest"
docker push bfrbioinformatics/chewiesnake:latest

# sha256:4a2e621fcaad9637e7217e6d52dd7fee90a8c639c7f085a94e5f325d2ff23a86
