#!/usr/bin/env Rscript

# Goal: Extract length information about each allele that was called


# define data

#contig_info.file <- "/home/carlus/BfR/Projects/chewbbaca_frameshifts/Ringversuch/cgmlst/list_3/cgmlst_01/P64_RV1_LC02_list_3A_ionS5/results_contigsInfo.tsv"
#contig_info.file <- "/home/carlus/BfR/Projects/chewbbaca_frameshifts/Ringversuch/cgmlst_st01/list_3/cgmlst/P64_RV1_LC01_list_3A_ionS5/results_contigsInfo.tsv"
#contig_info.file <- "/home/carlus/BfR/Projects/chewbbaca_frameshifts/Ringversuch/cgmlst_st001/list_3/cgmlst/P64_RV1_LC12_list_3A_miseq/results_contigsInfo.tsv"


#outdir <- "/home/carlus/BfR/Projects/chewbbaca_frameshifts/pipeline_test/components/P64_RV1_LC02_list_3A_ionS5"
#dir.create(outdir, showWarnings = F)
#sample_length_profile.file <- file.path(outdir,"/allele_length.tsv")


# snakemake
 contig_info.file <- snakemake@input[["contig_info"]]
 sample_length_profile.file <- snakemake@output[["sample_length_profile"]]


# read data
contig_info <- read.delim(contig_info.file, stringsAsFactors = F)

# compute length information

#allele_lengths <- do.call(c,apply(contig_info[,-1], 2, function(locus_info){
allele_lengths <- apply(contig_info[,-1], 2, function(locus_info){  
  
  if(! grepl("&",locus_info, fixed = T) ) {return(NA)}
  
  allele_length <- abs(diff(as.numeric(strsplit(strsplit(locus_info,"&")[[1]][2],"-")[[1]])))
  strand <- strsplit(locus_info,"&")[[1]][3]  
  
  # fix position number  
  if(strand == "+") {
    allele_length <- allele_length + 1
  } else if (strand == "-") {
    allele_length <- allele_length - 1
  } else {
    return(NA)
  }
  
  # check
    if(allele_length %% 3 != 0){
      stop("Not a triplet")
    }

  return(allele_length)
})#)

allele_lengths.df <- data.frame(locus= names(allele_lengths), length = allele_lengths)

# write to file
write.table(allele_lengths.df, file = sample_length_profile.file, sep = "\t", quote = F, row.names = F)
